<div class="row">
    <div class="recipe-list">
        <app-recipe-list (recipeSelectedEvent)="selectedRecipe = $event"></app-recipe-list>
    </div>
    <div class="recipe-details">
        <app-recipe-detail *ngIf="selectedRecipe; else noRecipe" [currentRecipe]="selectedRecipe"></app-recipe-detail>
        <ng-template #noRecipe>
            <p>Please select a Recipe!</p>
        </ng-template>
    </div>
</div>